GNU bug report logs - #17669
solaris: tests: cp,mv acl tests fail

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Ben Walton <bdwalton@HIDDEN>; Keywords: confirmed; dated Mon, 2 Jun 2014 15:35:05 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'solaris: tests: cp,mv acl tests fail' from 'tests: cp,mv acl tests fail on Solaris' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 22 Oct 2018 23:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 19:18:17 2018
Received: from localhost ([127.0.0.1]:36522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEjSj-0006lz-C0
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 19:18:17 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:49318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gEjSh-0006ll-6R
 for 17669 <at> debbugs.gnu.org; Mon, 22 Oct 2018 19:18:16 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 06FB716008A;
 Mon, 22 Oct 2018 16:18:09 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ZtEZqQrcNmlY; Mon, 22 Oct 2018 16:18:08 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 123E31600B3;
 Mon, 22 Oct 2018 16:18:08 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 65z3S0DYwTdQ; Mon, 22 Oct 2018 16:18:07 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 6C3DE16008A;
 Mon, 22 Oct 2018 16:18:07 -0700 (PDT)
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
To: Bernhard Voelker <mail@HIDDEN>,
 Assaf Gordon <assafgordon@HIDDEN>
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
 <538E1378.3040807@HIDDEN>
 <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
 <00288e25-398f-3c7f-16a7-8c7dcad90473@HIDDEN>
 <9d016a0d-8b6a-dd9e-9de1-d73cbd4e8fc9@HIDDEN>
 <8328ca99-0c14-6612-97e9-45e22c0d8a15@HIDDEN>
 <da9425a7-8a59-becf-0ecc-2c409e888831@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <399cdddb-5422-b7d6-f4bb-293c88866af6@HIDDEN>
Date: Mon, 22 Oct 2018 16:18:06 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <da9425a7-8a59-becf-0ecc-2c409e888831@HIDDEN>
Content-Type: multipart/mixed; boundary="------------F2233FB8CD2D8329736DF9E6"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17669
Cc: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------F2233FB8CD2D8329736DF9E6
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 10/22/18 1:57 PM, Bernhard Voelker wrote:
> Would you mind attaching the 'test-suite.log' (maybe categorized,
> e.g. the failure in tests/id/zero is probably unrelated to the others),
> so that we have a chance to squash each issue one after another?

Sure, compressed tarball of logs attached.



--------------F2233FB8CD2D8329736DF9E6
Content-Type: application/gzip;
 name="coreutils-tests.tar.gz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="coreutils-tests.tar.gz"
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--------------F2233FB8CD2D8329736DF9E6--




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 22 Oct 2018 20:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 16:57:58 2018
Received: from localhost ([127.0.0.1]:36489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEhGw-0003Tn-O4
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 16:57:58 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:43341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gEhGt-0003TZ-Iz
 for 17669 <at> debbugs.gnu.org; Mon, 22 Oct 2018 16:57:56 -0400
Received: from [192.168.101.10] ([91.12.166.119]) by mrelayeu.kundenserver.de
 (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis) id
 1MI4cT-1gQTWH0nd1-00FCJj; Mon, 22 Oct 2018 22:57:38 +0200
Received: from [192.168.101.10] ([91.12.166.119]) by mrelayeu.kundenserver.de
 (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis) id
 1MI4cT-1gQTWH0nd1-00FCJj; Mon, 22 Oct 2018 22:57:38 +0200
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
To: Paul Eggert <eggert@HIDDEN>, Assaf Gordon <assafgordon@HIDDEN>
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
 <538E1378.3040807@HIDDEN>
 <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
 <00288e25-398f-3c7f-16a7-8c7dcad90473@HIDDEN>
 <9d016a0d-8b6a-dd9e-9de1-d73cbd4e8fc9@HIDDEN>
 <8328ca99-0c14-6612-97e9-45e22c0d8a15@HIDDEN>
From: Bernhard Voelker <mail@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=mail@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFPirzMBCACyzYldTjQ4ufFOkByY5Nn5USb5GFoL48nWBwNHjd9KUbtRRNlQiPNKd6hK
 Gvd3BGi5aoFKA4ytfRk6jbAbW3jVb3R8wYaV08mOy4KVEKxqN4bxsXlMjNChXVR+rtKDmfI+
 oPTL+cPH2X6gW4W02IRbVw0uUhNm6zEedC/gNrY/mTlf1enZ46jxZ7BTUZaG+kx38UMISIMB
 zSzLRtdkwgmHj4jS3p1fF2cwRqLclIfMjKGpbNFPEXeXKWrCLcqHw78795eAR9q0YvrDkfIn
 GdDBwfb3VM4NdulwIFzvYZMSXvSbbyPLB5YkHU5aAWQHUse4WlfT5ccDpbzUYldRAvF9ABEB
 AAHNK0Jlcm5oYXJkIFZvZWxrZXIgPG1haWxAYmVybmhhcmQtdm9lbGtlci5kZT7CwHkEEwEC
 ACMFAlPirzMCGwMHCwkIBwMCAQYVCAIJCgsEFgIDAQIeAQIXgAAKCRBGUC73lpFxle5wCACC
 dbs0QaJ0vR3Sff2cKdTk41rUq3YfWngsR///IOU0C5DdkePmCnJE/lUsUy0LRTxcUDLxQR+x
 QHU8ssRT0JUO9726dI3miy36UdsgmBYaOtLvQcidGmW1R7o0PYYf04+TFtyqKgngOUBPpMgR
 6o4UsQxy/OD4bN1WDqOgIjL+D/qJpkKmgp6L6+hhaBCpiOFKRmmV7YyQ3SqVlfQNiHs5ZtkR
 nXpIjgZARV+GllKucI17bO0CGmTJZ1tstVy0+W3DQT1lbBkTTc++5LONM99D3jjn23l1ocOp
 folR53F7I4cb2RNfT23v1I59RH37lB9wMOqrKj0UjYAC2YoPGQ3BzsBNBFPirzMBCADXLWWp
 QihBldY6reca8ZKdc3T9qXEOa3akE3DWKztIBmNJhtYOjmpLYajQTkGa7UoJTnbmZE2Rn6ZE
 oNnvb0gcFNAIcY95KOI+bjOR8HEgh4cx2REXh6L6olIgyXqt/KFusE4wtVZAFxZl+30HzN6n
 D+1HvrjXxPJRX6MsIYOYyyX9/6OofwJK6QHODYGp8WL2olHDnmsXg4AT6Wlr7qKpKrQELlcF
 R4xkvdmgL/Ghw/tK0yJTxMIcewCCZWLPOXRmFRbvAadZWPAgVsJ63siNyUlVnVMSzDgTJl+s
 l/DMabXpqrJQx3/1Yy6mTaDs3XZT/wmBKaTLXx/LByaPxQQ7ABEBAAHCwF8EGAECAAkFAlPi
 rzMCGwwACgkQRlAu95aRcZWVPwgAqZT6iTXkoP37wYb41323RzhBcJ8JSk4cyBDBUXX0lMrM
 3qhiClKG7phpxVdu817Gwc6Hsecg7FfjQAV8MHQ0ZFeEFdk3b2rKBqfsStc+h49/xF3Fb+if
 CzR9qeQF82fMSxkg18++7hMcHCMO/hPZ/Q0xRi+lrSr2QKDJQuLzSyVU14TxrCkevZjEhtma
 VNvcJlJzCbiBXee9Fpc5jITUXPFG8E8dxqo1n+duOyIMgozrAnzP7X5V/Ob/Ozf/aGGX9+Jd
 inyfCX18nWcHALKMU/36Eua/ylalf/2c2YkBp9KCLVmGgPkUgW52EeRPgroIsiwu+rwCSV6Z
 UyCJ+OymCg==
Message-ID: <da9425a7-8a59-becf-0ecc-2c409e888831@HIDDEN>
Date: Mon, 22 Oct 2018 22:57:36 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <8328ca99-0c14-6612-97e9-45e22c0d8a15@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:VhEVQqswUrS93DpLHsjIpiypEvXgge+T7TUbvyppe6Ty5ajUOee
 36TwfhpZDqTsfKFMryOkjjlcOj7rKUmzlu10A2Bt8syltGbKXBzjhpf2xMHUvMoAXrJcr+F
 Xj/U5xytjaOpcYNuZ79gY2qYyxDu1hvqrmMH9/vzDQiBemlQLgLBywV+XHmY/4vd2XiDaSk
 XOHCVUG2A06QsiDUeuYCg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:eg37frF3OVU=:w3viuPFtjXta86j8D6Mjt5
 mOHaq+c5MRKzqvJtyVlkrofePbd1r0P+r/QzKoCepl1YcBY44pZDnGP6FW5ngjO5C85coBQS0
 CST8uqJxisQdCpj9Fwctzm4wkJ6+91ezMYdEgt3YKriNMeb9Q6zgDrTZovkXh7VCCYMEQsojB
 0sw0aDGE+UNqyoMEbjpLeOSTNjEWeXQB2/KpDabNibJIIyIyuUij/g4tN+fJsyVW4/3LsQ00g
 YlXPDo+Cj/psVVGlHGM6l+mcjI6L7sqwFNi0BzNWhOz4Jw7GOm03Irc/gssCOsgpkvxzSce3e
 yblPj4I2FhQeetOK6fhGLUvzZA62KEggwgyDWW7fxvZsAnukKCHuJPBJukBCtjAQTsL710hgh
 zoHrUkKh48goZINMOtpSWaB7064q7xmdyq0HvHocffjazwczA8DI/93EL1BmELN3LnSULsDQK
 hNBEYchlu8Z5dU6S0Fq/FNMRVV4PzMTOiwLIm3+dUGPklrta0Lg7Ma42XHw0MAKzXHiTwz0rl
 /EpDk+dI7rQ5CkSvqw9MieCpb2stxme5MiXSXE75edVyjLpGt4eYgaBtua4BUJ3onZZKbcbsY
 QvmghLdqKEholIT3TWFrL5xstoVMRw94WRhXLb3fyBh8NwoB/a3riZEm6P01G0QTwlzUTlYoA
 J7n3D6DJSUBrNm/ifFk2olDQ/etMxP2gYua5gCBirCZ3ZD2gWGmLWFAoC8fdxaqBEipnxZIR3
 b5M0iQdYi8YemKGi
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17669
Cc: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 10/21/18 1:12 AM, Paul Eggert wrote:
> Bernhard Voelker wrote:
>>> Is that by any chance solve the problem ?
>> yes, possibly, although 'require_setfacl_' does not use different
>> setfacl/getfacl syntax for Solaris/*BSD.
> 
> It does not fix the problem. I just now built the development coreutils 
> (8.30.19-8ea92) on Solaris 10 sparc with GCC 3.4.3 
> (csl-sol210-3_4-branch+sol_rpath) in a /tmp swap filesystem, and 'make check' 
> had problems with:
> 
> tests/cp/preserve-2
> tests/cp/preserve-link
> tests/cp/reflink-perm
> tests/cp/src-base-dot
> tests/id/zero
> tests/mv/dup-source
> tests/mv/part-fail
> tests/mv/part-symlink

Would you mind attaching the 'test-suite.log' (maybe categorized,
e.g. the failure in tests/id/zero is probably unrelated to the others),
so that we have a chance to squash each issue one after another?

Thanks & Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.
Changed bug title to 'tests: cp,mv acl tests fail on Solaris' from 'Solaris acl woes' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 20 Oct 2018 23:13:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 20 19:13:08 2018
Received: from localhost ([127.0.0.1]:33602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gE0Qe-0002em-Nq
	for submit <at> debbugs.gnu.org; Sat, 20 Oct 2018 19:13:08 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:47886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gE0Qd-0002eP-8x
 for 17669 <at> debbugs.gnu.org; Sat, 20 Oct 2018 19:13:07 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6DA1A16005D;
 Sat, 20 Oct 2018 16:13:01 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 4WNGUBdreE6X; Sat, 20 Oct 2018 16:13:00 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B525F160061;
 Sat, 20 Oct 2018 16:13:00 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id yqamvqWKAZ5T; Sat, 20 Oct 2018 16:13:00 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 7247116005D;
 Sat, 20 Oct 2018 16:13:00 -0700 (PDT)
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
To: Bernhard Voelker <mail@HIDDEN>,
 Assaf Gordon <assafgordon@HIDDEN>
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
 <538E1378.3040807@HIDDEN>
 <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
 <00288e25-398f-3c7f-16a7-8c7dcad90473@HIDDEN>
 <9d016a0d-8b6a-dd9e-9de1-d73cbd4e8fc9@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <8328ca99-0c14-6612-97e9-45e22c0d8a15@HIDDEN>
Date: Sat, 20 Oct 2018 16:12:59 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <9d016a0d-8b6a-dd9e-9de1-d73cbd4e8fc9@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17669
Cc: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Bernhard Voelker wrote:
>> Is that by any chance solve the problem ?
> yes, possibly, although 'require_setfacl_' does not use different
> setfacl/getfacl syntax for Solaris/*BSD.

It does not fix the problem. I just now built the development coreutils 
(8.30.19-8ea92) on Solaris 10 sparc with GCC 3.4.3 
(csl-sol210-3_4-branch+sol_rpath) in a /tmp swap filesystem, and 'make check' 
had problems with:

tests/cp/preserve-2
tests/cp/preserve-link
tests/cp/reflink-perm
tests/cp/src-base-dot
tests/id/zero
tests/mv/dup-source
tests/mv/part-fail
tests/mv/part-symlink




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 20 Oct 2018 17:42:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 20 13:42:01 2018
Received: from localhost ([127.0.0.1]:33419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDvGC-00014u-Sh
	for submit <at> debbugs.gnu.org; Sat, 20 Oct 2018 13:42:01 -0400
Received: from mout.kundenserver.de ([212.227.17.24]:40785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gDvGB-00014g-3e
 for 17669 <at> debbugs.gnu.org; Sat, 20 Oct 2018 13:41:59 -0400
Received: from [192.168.101.10] ([91.12.166.119]) by mrelayeu.kundenserver.de
 (mreue108 [212.227.15.183]) with ESMTPSA (Nemesis) id
 1M8hR1-1gI47S2UqH-004mih; Sat, 20 Oct 2018 19:41:51 +0200
Received: from [192.168.101.10] ([91.12.166.119]) by mrelayeu.kundenserver.de
 (mreue108 [212.227.15.183]) with ESMTPSA (Nemesis) id
 1M8hR1-1gI47S2UqH-004mih; Sat, 20 Oct 2018 19:41:51 +0200
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
To: Assaf Gordon <assafgordon@HIDDEN>
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
 <538E1378.3040807@HIDDEN>
 <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
 <00288e25-398f-3c7f-16a7-8c7dcad90473@HIDDEN>
From: Bernhard Voelker <mail@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=mail@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFPirzMBCACyzYldTjQ4ufFOkByY5Nn5USb5GFoL48nWBwNHjd9KUbtRRNlQiPNKd6hK
 Gvd3BGi5aoFKA4ytfRk6jbAbW3jVb3R8wYaV08mOy4KVEKxqN4bxsXlMjNChXVR+rtKDmfI+
 oPTL+cPH2X6gW4W02IRbVw0uUhNm6zEedC/gNrY/mTlf1enZ46jxZ7BTUZaG+kx38UMISIMB
 zSzLRtdkwgmHj4jS3p1fF2cwRqLclIfMjKGpbNFPEXeXKWrCLcqHw78795eAR9q0YvrDkfIn
 GdDBwfb3VM4NdulwIFzvYZMSXvSbbyPLB5YkHU5aAWQHUse4WlfT5ccDpbzUYldRAvF9ABEB
 AAHNK0Jlcm5oYXJkIFZvZWxrZXIgPG1haWxAYmVybmhhcmQtdm9lbGtlci5kZT7CwHkEEwEC
 ACMFAlPirzMCGwMHCwkIBwMCAQYVCAIJCgsEFgIDAQIeAQIXgAAKCRBGUC73lpFxle5wCACC
 dbs0QaJ0vR3Sff2cKdTk41rUq3YfWngsR///IOU0C5DdkePmCnJE/lUsUy0LRTxcUDLxQR+x
 QHU8ssRT0JUO9726dI3miy36UdsgmBYaOtLvQcidGmW1R7o0PYYf04+TFtyqKgngOUBPpMgR
 6o4UsQxy/OD4bN1WDqOgIjL+D/qJpkKmgp6L6+hhaBCpiOFKRmmV7YyQ3SqVlfQNiHs5ZtkR
 nXpIjgZARV+GllKucI17bO0CGmTJZ1tstVy0+W3DQT1lbBkTTc++5LONM99D3jjn23l1ocOp
 folR53F7I4cb2RNfT23v1I59RH37lB9wMOqrKj0UjYAC2YoPGQ3BzsBNBFPirzMBCADXLWWp
 QihBldY6reca8ZKdc3T9qXEOa3akE3DWKztIBmNJhtYOjmpLYajQTkGa7UoJTnbmZE2Rn6ZE
 oNnvb0gcFNAIcY95KOI+bjOR8HEgh4cx2REXh6L6olIgyXqt/KFusE4wtVZAFxZl+30HzN6n
 D+1HvrjXxPJRX6MsIYOYyyX9/6OofwJK6QHODYGp8WL2olHDnmsXg4AT6Wlr7qKpKrQELlcF
 R4xkvdmgL/Ghw/tK0yJTxMIcewCCZWLPOXRmFRbvAadZWPAgVsJ63siNyUlVnVMSzDgTJl+s
 l/DMabXpqrJQx3/1Yy6mTaDs3XZT/wmBKaTLXx/LByaPxQQ7ABEBAAHCwF8EGAECAAkFAlPi
 rzMCGwwACgkQRlAu95aRcZWVPwgAqZT6iTXkoP37wYb41323RzhBcJ8JSk4cyBDBUXX0lMrM
 3qhiClKG7phpxVdu817Gwc6Hsecg7FfjQAV8MHQ0ZFeEFdk3b2rKBqfsStc+h49/xF3Fb+if
 CzR9qeQF82fMSxkg18++7hMcHCMO/hPZ/Q0xRi+lrSr2QKDJQuLzSyVU14TxrCkevZjEhtma
 VNvcJlJzCbiBXee9Fpc5jITUXPFG8E8dxqo1n+duOyIMgozrAnzP7X5V/Ob/Ozf/aGGX9+Jd
 inyfCX18nWcHALKMU/36Eua/ylalf/2c2YkBp9KCLVmGgPkUgW52EeRPgroIsiwu+rwCSV6Z
 UyCJ+OymCg==
Message-ID: <9d016a0d-8b6a-dd9e-9de1-d73cbd4e8fc9@HIDDEN>
Date: Sat, 20 Oct 2018 19:41:50 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <00288e25-398f-3c7f-16a7-8c7dcad90473@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:NZL6MDZM1c4FLyB1OL+NBbG9SCwBZ+v5zFyp7zgbmeKZPBUkwk7
 Ka+LrAsbl/5wtj/30BnHFl+8JnLX7uKc+cVXVPmbpJKOciF4pOUXrVBsfr+u4k4UgUpdj62
 dzLeyS27kgp1aGcp5b3BKRO2ArbkfT3vjONF5Tt+TvP/NjFVJLOoxvnIgW9/EKUkrdLwZYi
 b+rfxPXIJsJkmRUQDUiOQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:wwatnl6ZX+w=:Daql6t0c0TGFNkHriSbWHm
 4uGEkn1oVV4kOPSIC7ztf/JOs2BCWO2XgNArzOZSDzdCaZp9nvc5WDGJFhTZkcTDjCDUN0WVj
 +vZ5nZ9wmDy2G18Q31I4VkwffvV92BSS3K/Mm6aGIjWLgAufJ/iyixQ8AqRzJV9aQz08nBW/C
 cJBz/rmtJg+h84r2MGtJacvbe5+mttl6m9tX3eqEP7s8K61opsSxdtFt4Fnt6jYhhRJyNCFYI
 2i8nafUKgytIW31Efva/0jWHBDrwfWlwgdfg70Cgt2DrYQOpuWG1UUKZ81GkFbLO8PfDNaT0R
 WvprU5qfKGWTqqTPZQXmGJgCtDD0zLp0KFUtcxdCW40neJgvDIaziOz6kyHf970qxkEEEg7hY
 Cu2+1PQjfuQ9C/3R1jKWeWDs8kTQ+DxpORhOPZqtNj3qYJNebm8vWA2oTMePuOvhmtxUDn21J
 sPWRc2c/lg4rjZyd3o+hSVQ10zku1MzjdtgUzFA+czL3IY4FpvV4PP1t5SpqhKvnXYfskLRy1
 8J8m+9qafFm+uTvrJkBhRS/nDmMRqTYtKPWRVNe591Y5/LjPr/7LBVKs68flkyqZkCKglxMDH
 qPYnEhuRlUsmsAam/jgBHx+G2j7EFjmxkshr0LrlVf/d6U5wrvuZc/YndZo9XnO2Pl4Jn4yoi
 5iPWpe44cJ2Zg4TgpLw2a05jx4oCGBH8cMSLS7XEn4/KcmE2xWdvnBo7zyjSJzF1LH3RKsU3M
 0JBw4M6psw2mAYX9
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17669
Cc: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 10/20/18 5:30 AM, Assaf Gordon wrote:
> (triaging old bugs)
> 
> Hello,
> 
> This bug ( https://bugs.gnu.org/17669 ) deals
> with ACL test failures on Solaris for coreutils 8.22 .
> 
> Shortly after the release of 8.22 (but few months before this
> bug was submitted), Bernard pushed this:
> 
> ----
> commit 5d7591d0edf0dd31c2daa195ee766c1383b89f4c
> Author: Bernhard Voelker <mail@HIDDEN>
> Date:   Fri Jan 10 16:48:25 2014 +0100
> 
>   tests: improve test for a working setfacl
>   Prompted by a test framework failure of tests/mkdir/p-acl.sh on armv7l:
>   The previous test for a working setfacl was not sufficient in some
>   circumstances.
> ----
> 
> https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=5d7591d0edf0dd31c2daa195ee766c1383b89f4c
> 
> 
> Is that by any chance solve the problem ?

yes, possibly, although 'require_setfacl_' does not use different
setfacl/getfacl syntax for Solaris/*BSD.

> (is this even still a problem?)

sorry, I don't have a Solaris system here, and your CFARM doesn't have
xattr-devel installed.

Thanks & have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 20 Oct 2018 03:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 23:30:30 2018
Received: from localhost ([127.0.0.1]:60119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDhyA-0004VU-KR
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 23:30:30 -0400
Received: from mail-pl1-f178.google.com ([209.85.214.178]:39737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gDhy9-0004Pd-2a
 for 17669 <at> debbugs.gnu.org; Fri, 19 Oct 2018 23:30:29 -0400
Received: by mail-pl1-f178.google.com with SMTP id e67-v6so7670052plb.6
 for <17669 <at> debbugs.gnu.org>; Fri, 19 Oct 2018 20:30:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:cc:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=5G7B9ZT3fGd66JtR82g5IDc+Ih5PvXQxzqhAb77ypjs=;
 b=SUvcEB2mMsadr/Cbow0/RDxlYHvZP0kYy/J/HjsAvLpHDAgxlhhvZ2kysa/4nO9FTk
 PLOaG0Y9hrTMAujsnDyqqx5VmCrVu9Kns4c1hr9eRxwf7yM7pK2Vk32zGwzrTt3HZM0a
 eBMZ8aHI5zQ4vCj+05b+SO07CcRtb3B97EY9d+u6J+J8fAlDKvxbpk+svw76w7kZe9QA
 duRDscnCKlzgp+6e/xu7bVWwEJeeTGOK7EEE0dHyJKP8emwU5OreVGnx0DT4scwZdV4b
 6tYDGbMto+mcwB0s6PHDeU7ejrxD5/fvcE/rJjKVJwjATuoGa0HIwZ7xFfxvDWR7XE+6
 tQCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=5G7B9ZT3fGd66JtR82g5IDc+Ih5PvXQxzqhAb77ypjs=;
 b=mZiTyupvkGrsSGToB9xUoGuKYwCZ1QCOf/9vF+GjZ36/UsmnakraSsu74G0JMVgFIs
 UxxAxu6CqHTAuylflJfMEDxwtzuxxxVTg2r9OD7C/TN0Y61oNefBhkElQxGaRgVcja4J
 PqGxeiqaXRIGOuGud+KrJmon9xtkXq/47Jf8/M4zFI8GTWViDwbkIKcahF5/FU9XyoS2
 Uw8K3xnP7reVQJzkiDVvBeSLFcTtTkYCb9xi9iCr9s6rkkGQZV8xllbtPW42eaFbCyEn
 n0V6oTtreogpzs729tuUcsxY/ItVEpvBiX585eWyK+mZa6w0CRAjdinwPpF8+L6tDqbN
 Rx9A==
X-Gm-Message-State: ABuFfojmQKpNI0R9Bn2bkx97XX6LNck0gls0JoY6gikUJaFvfcnNnEaI
 3EaKD9E8jSGKjLVZIlsn4fVQver8uKw=
X-Google-Smtp-Source: ACcGV61Wa3EgtKwipST1i+0ZofMyoPPWgMoL/GQaKXEgG4xeB79j/YHLe+pc/+F7vSoNf0YrCQoc9w==
X-Received: by 2002:a17:902:59d2:: with SMTP id
 d18-v6mr4582300plj.116.1540006222492; 
 Fri, 19 Oct 2018 20:30:22 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 w127-v6sm32888906pfd.112.2018.10.19.20.30.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 19 Oct 2018 20:30:20 -0700 (PDT)
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
 <538E1378.3040807@HIDDEN>
 <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <00288e25-398f-3c7f-16a7-8c7dcad90473@HIDDEN>
Date: Fri, 19 Oct 2018 21:30:15 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  (triaging old bugs) Hello,
 This bug ( https://bugs.gnu.org/17669
 ) deals with ACL test failures on Solaris for coreutils 8.22 . [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.2 MISSING_HEADERS        Missing To: header
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.214.178 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.214.178 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 17669
Cc: Bernhard Voelker <mail@HIDDEN>,
 =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

(triaging old bugs)

Hello,

This bug ( https://bugs.gnu.org/17669 ) deals
with ACL test failures on Solaris for coreutils 8.22 .

Shortly after the release of 8.22 (but few months before this
bug was submitted), Bernard pushed this:

----
commit 5d7591d0edf0dd31c2daa195ee766c1383b89f4c
Author: Bernhard Voelker <mail@HIDDEN>
Date:   Fri Jan 10 16:48:25 2014 +0100

  tests: improve test for a working setfacl
  Prompted by a test framework failure of tests/mkdir/p-acl.sh on armv7l:
  The previous test for a working setfacl was not sufficient in some
  circumstances.
----

https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=5d7591d0edf0dd31c2daa195ee766c1383b89f4c


Is that by any chance solve the problem ?
(is this even still a problem?)


regards,
  - assaf





Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 20:25:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 16:25:17 2014
Received: from localhost ([127.0.0.1]:42694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WrvGm-0001fT-8u
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 16:25:16 -0400
Received: from mail-yh0-f47.google.com ([209.85.213.47]:50974)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bdwalton@HIDDEN>) id 1WrvGi-0001f3-QT
 for 17669 <at> debbugs.gnu.org; Tue, 03 Jun 2014 16:25:14 -0400
Received: by mail-yh0-f47.google.com with SMTP id z6so5585607yhz.6
 for <17669 <at> debbugs.gnu.org>; Tue, 03 Jun 2014 13:25:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type:content-transfer-encoding;
 bh=Z1+pY2BtkWAlZi8Weqk3jBiCbb45wQCCrXDu2nT5OJg=;
 b=DSDkMrdSXB0OUlDYhPh1rg1HiloAFL4YD8AOSbH5y+lgxnvdJnETOtGn088zFJ6wKG
 IieJEHy9U/tBijoCkj2ZcctKcRPd18ZxlcG0EGN26I9U9uS3SDF4cp919U89cpgcXWx9
 mK/sQWu4fflhDFLnMbbvAPanmxPWJRf5y+/Y0zz+KGAZ/4RdQN3dILoYnTrA3bFjcfxt
 SnTsVVPT46EimnXVYlIz9uVsa9KXUqkqeYms3I8YWN8vJlu3io1Yvwd0m324blZiyTk4
 RUG6ivoBbnhCzqEG1cAZ+uruykP2MGQuAJ0Uckex/ifzv8uqi3O9XFHHZ8H2V5ibwmOe
 OSUA==
MIME-Version: 1.0
X-Received: by 10.236.203.225 with SMTP id f61mr66124305yho.51.1401827106982; 
 Tue, 03 Jun 2014 13:25:06 -0700 (PDT)
Received: by 10.170.62.213 with HTTP; Tue, 3 Jun 2014 13:25:06 -0700 (PDT)
In-Reply-To: <538E1378.3040807@HIDDEN>
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
 <538E1378.3040807@HIDDEN>
Date: Tue, 3 Jun 2014 21:25:06 +0100
Message-ID: <CAP30j140gdjuogPH-BaB4S3T2gPRdp8DQ_AQGvKeH_s8QBaR5g@HIDDEN>
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
From: Ben Walton <bdwalton@HIDDEN>
To: =?UTF-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17669
Cc: Paul Eggert <eggert@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Tue, Jun 3, 2014 at 7:27 PM, P=C3=A1draig Brady <P@HIDDEN> wrote=
:
> On 06/03/2014 07:07 PM, Ben Walton wrote:
>>
>> On Jun 3, 2014 11:22 AM, "P=C3=A1draig Brady" <P@HIDDEN <mailto:=
P@HIDDEN>> wrote:
>>>
>>> On 06/03/2014 07:51 AM, Ben Walton wrote:
>>> > On Jun 2, 2014 6:46 PM, "Paul Eggert" <eggert@HIDDEN <mailto:egg=
ert@HIDDEN>> wrote:
>>> >>
>>> >> [Forwarding this to Bug#17669 as bug-coreutils seems to have misfile=
d it
>>> > under 17664; closing 17664.]
>>> >>
>>> >> -------- Original Message --------
>>> >> Subject:        Re: Solaris acl woes
>>> >> Date:   Mon, 02 Jun 2014 06:56:03 -0700
>>> >> From:   Paul Eggert <eggert@HIDDEN <mailto:eggert@HIDDEN>>
>>> >> Organization:   UCLA Computer Science Department
>>> >> To:     Ben Walton <bdwalton@HIDDEN <mailto:bdwalton@HIDDEN>>,=
 bug-gnulib@HIDDEN <mailto:bug-gnulib@HIDDEN>,
>>> > bug-coreutils@HIDDEN <mailto:bug-coreutils@HIDDEN>
>>> >>
>>> >>
>>> >>
>>> >> Ben Walton wrote:
>>> >>
>>> >>> The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:
>>> >>
>>> >>
>>> >> Why is it returning 1, exactly?  What are the value of access_masks[=
0,
>>> >> 1] and how do they compare to the masks, and what bits are set that
>>> >> shouldn't be if we want the ACLs to be trivial?
>>> >
>>> > I didn't get back to this yesterday but will tonight.
>>> >
>>> > What do you think about the fact that the Solaris tools seem to exhib=
it the
>>> > same behavior?
>>>
>>> I'd probably adjust the tests to first:
>>>
>>> getfacl test.acl | setfacl -f - test.acl || skip_ "system is unable to =
copy ACLs"
>>>
>>
>> Not a bad idea, but those tools have different names on different system=
s and possibly different calling conventions.
>>
>> If this is a preferred approach, at the very least, a presence check for=
 the binary needs to wrap the precondition.
>
> We already have that in require_acl_
> Though yes it's very awkward that there is no standard here.
> This is how one copies ACLs on the systems I've just checked:
>
> solaris: getfacl file1 | setfacl -f - file2
> linux:   getfacl file1 | setfacl --set-file=3D- file2
> freebsd: getfacl file1 | setfacl -b -n -M - file2
>
> So not ideal at all.

Ok, let me see what I can bang together. I vaguely recall seeing other
code that was doing something along these lines so I might be able to
find a useful reference to start from.

>
> Which 6 tests did this affect BTW?

FAIL: tests/cp/backup-dir
  cp -a
FAIL: tests/cp/cp-parents
  cp -a
FAIL: tests/cp/parent-perm-race
  cp --preserve=3Dmode
FAIL: tests/cp/preserve-link
  cp -a
FAIL: tests/cp/reflink-perm
  cp --preserve
FAIL: tests/cp/src-base-dot
  cp -a

Thanks
-Ben
--=20
---------------------------------------------------------------------------=
------------------------------------------------
Take the risk of thinking for yourself.  Much more happiness,
truth, beauty and wisdom will come to you that way.

-Christopher Hitchens
---------------------------------------------------------------------------=
------------------------------------------------




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 18:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 14:27:15 2014
Received: from localhost ([127.0.0.1]:42511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WrtQY-0006CD-3N
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 14:27:14 -0400
Received: from mail2.vodafone.ie ([213.233.128.44]:56495)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <P@HIDDEN>) id 1WrtQV-0006Bv-OK
 for 17669 <at> debbugs.gnu.org; Tue, 03 Jun 2014 14:27:12 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApQBAM4SjlNtTCE0/2dsb2JhbAANTIcdv3QBgSSDGQEBAQQjDwFGDAQLDQEDAwECAQICBRYIAwICCQMCAQIBDyUJCAYNAQUCAQGIKgMWqlB3ny4NhggXgSqLEoIWBwaCb4FLBJgQAYkPhiiJLg
Received: from unknown (HELO [192.168.1.79]) ([109.76.33.52])
 by mail2.vodafone.ie with ESMTP; 03 Jun 2014 19:27:05 +0100
Message-ID: <538E1378.3040807@HIDDEN>
Date: Tue, 03 Jun 2014 19:27:04 +0100
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130110 Thunderbird/17.0.2
MIME-Version: 1.0
To: Ben Walton <bdwalton@HIDDEN>
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
 <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
In-Reply-To: <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17669
Cc: Paul Eggert <eggert@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 06/03/2014 07:07 PM, Ben Walton wrote:
> 
> On Jun 3, 2014 11:22 AM, "Pádraig Brady" <P@HIDDEN <mailto:P@HIDDEN>> wrote:
>>
>> On 06/03/2014 07:51 AM, Ben Walton wrote:
>> > On Jun 2, 2014 6:46 PM, "Paul Eggert" <eggert@HIDDEN <mailto:eggert@HIDDEN>> wrote:
>> >>
>> >> [Forwarding this to Bug#17669 as bug-coreutils seems to have misfiled it
>> > under 17664; closing 17664.]
>> >>
>> >> -------- Original Message --------
>> >> Subject:        Re: Solaris acl woes
>> >> Date:   Mon, 02 Jun 2014 06:56:03 -0700
>> >> From:   Paul Eggert <eggert@HIDDEN <mailto:eggert@HIDDEN>>
>> >> Organization:   UCLA Computer Science Department
>> >> To:     Ben Walton <bdwalton@HIDDEN <mailto:bdwalton@HIDDEN>>, bug-gnulib@HIDDEN <mailto:bug-gnulib@HIDDEN>,
>> > bug-coreutils@HIDDEN <mailto:bug-coreutils@HIDDEN>
>> >>
>> >>
>> >>
>> >> Ben Walton wrote:
>> >>
>> >>> The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:
>> >>
>> >>
>> >> Why is it returning 1, exactly?  What are the value of access_masks[0,
>> >> 1] and how do they compare to the masks, and what bits are set that
>> >> shouldn't be if we want the ACLs to be trivial?
>> >
>> > I didn't get back to this yesterday but will tonight.
>> >
>> > What do you think about the fact that the Solaris tools seem to exhibit the
>> > same behavior?
>>
>> I'd probably adjust the tests to first:
>>
>> getfacl test.acl | setfacl -f - test.acl || skip_ "system is unable to copy ACLs"
>>
> 
> Not a bad idea, but those tools have different names on different systems and possibly different calling conventions.
> 
> If this is a preferred approach, at the very least, a presence check for the binary needs to wrap the precondition.

We already have that in require_acl_
Though yes it's very awkward that there is no standard here.
This is how one copies ACLs on the systems I've just checked:

solaris: getfacl file1 | setfacl -f - file2
linux:   getfacl file1 | setfacl --set-file=- file2
freebsd: getfacl file1 | setfacl -b -n -M - file2

So not ideal at all.

Which 6 tests did this affect BTW?

thanks,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 18:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 14:07:20 2014
Received: from localhost ([127.0.0.1]:42498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wrt7E-0005XC-Bf
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 14:07:19 -0400
Received: from mail-yh0-f43.google.com ([209.85.213.43]:41410)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bdwalton@HIDDEN>) id 1Wrt79-0005Wo-Eu
 for 17669 <at> debbugs.gnu.org; Tue, 03 Jun 2014 14:07:15 -0400
Received: by mail-yh0-f43.google.com with SMTP id v1so5424187yhn.30
 for <17669 <at> debbugs.gnu.org>; Tue, 03 Jun 2014 11:07:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=VBwGY8cgofEUXjWqBv9j/QmwkC7rRYRwyMZaLITNEiU=;
 b=BvW5szWqddUJcQxg8m2ReZJx1LocUE+jhBdWNYNVxcEty8P4ENCLszL9LzOjVVulzj
 GF+xPbuQfCcVdNJYgorkk66WKNz6mUi7uIrRFYo1FIYXFFKoSXgaremdOpIwskvevjSp
 HOxtsjkvG5KotIVHy05uRbkbg3aqPCIlf0WCD5YYtM+ciu/SxhovWGIG5GQsIp2ROYf8
 Owk7tCAEcIDt43FPtL80jCttx6USmpMmocdlRlzGRmcv4yZbZzhsIIYuj6HO4SRdoNJZ
 lCkashbk5yhFacfpN9CMS06JNrobWZT8MtfLOalq0laPFV2tb8yae48/Y2LcdZAPCpnm
 BIHA==
MIME-Version: 1.0
X-Received: by 10.236.181.232 with SMTP id l68mr16810783yhm.143.1401818825801; 
 Tue, 03 Jun 2014 11:07:05 -0700 (PDT)
Received: by 10.170.62.213 with HTTP; Tue, 3 Jun 2014 11:07:05 -0700 (PDT)
Received: by 10.170.62.213 with HTTP; Tue, 3 Jun 2014 11:07:05 -0700 (PDT)
In-Reply-To: <538DA1EC.5070207@HIDDEN>
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
Date: Tue, 3 Jun 2014 19:07:05 +0100
Message-ID: <CAP30j142uM2opaP-JFFKa3d3U+b6OEvoYDd1ArXRiCSF5Vikuw@HIDDEN>
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
From: Ben Walton <bdwalton@HIDDEN>
To: =?UTF-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
Content-Type: multipart/alternative; boundary=20cf305b1b6026c73d04faf26171
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17669
Cc: Paul Eggert <eggert@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--20cf305b1b6026c73d04faf26171
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Jun 3, 2014 11:22 AM, "P=C3=A1draig Brady" <P@HIDDEN> wrote:
>
> On 06/03/2014 07:51 AM, Ben Walton wrote:
> > On Jun 2, 2014 6:46 PM, "Paul Eggert" <eggert@HIDDEN> wrote:
> >>
> >> [Forwarding this to Bug#17669 as bug-coreutils seems to have misfiled
it
> > under 17664; closing 17664.]
> >>
> >> -------- Original Message --------
> >> Subject:        Re: Solaris acl woes
> >> Date:   Mon, 02 Jun 2014 06:56:03 -0700
> >> From:   Paul Eggert <eggert@HIDDEN>
> >> Organization:   UCLA Computer Science Department
> >> To:     Ben Walton <bdwalton@HIDDEN>, bug-gnulib@HIDDEN,
> > bug-coreutils@HIDDEN
> >>
> >>
> >>
> >> Ben Walton wrote:
> >>
> >>> The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:
> >>
> >>
> >> Why is it returning 1, exactly?  What are the value of access_masks[0,
> >> 1] and how do they compare to the masks, and what bits are set that
> >> shouldn't be if we want the ACLs to be trivial?
> >
> > I didn't get back to this yesterday but will tonight.
> >
> > What do you think about the fact that the Solaris tools seem to exhibit
the
> > same behavior?
>
> I'd probably adjust the tests to first:
>
> getfacl test.acl | setfacl -f - test.acl || skip_ "system is unable to
copy ACLs"
>

Not a bad idea, but those tools have different names on different systems
and possibly different calling conventions.

If this is a preferred approach, at the very least, a presence check for
the binary needs to wrap the precondition.

Thanks
-Ben

> thanks,
> P=C3=A1draig
>

--20cf305b1b6026c73d04faf26171
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On Jun 3, 2014 11:22 AM, &quot;P=C3=A1draig Brady&quot; &lt;<a href=3D"mail=
to:P@HIDDEN">P@HIDDEN</a>&gt; wrote:<br>
&gt;<br>
&gt; On 06/03/2014 07:51 AM, Ben Walton wrote:<br>
&gt; &gt; On Jun 2, 2014 6:46 PM, &quot;Paul Eggert&quot; &lt;<a href=3D"ma=
ilto:eggert@HIDDEN">eggert@HIDDEN</a>&gt; wrote:<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt; [Forwarding this to Bug#17669 as bug-coreutils seems to have =
misfiled it<br>
&gt; &gt; under 17664; closing 17664.]<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt; -------- Original Message --------<br>
&gt; &gt;&gt; Subject: =C2=A0 =C2=A0 =C2=A0 =C2=A0Re: Solaris acl woes<br>
&gt; &gt;&gt; Date: =C2=A0 Mon, 02 Jun 2014 06:56:03 -0700<br>
&gt; &gt;&gt; From: =C2=A0 Paul Eggert &lt;<a href=3D"mailto:eggert@HIDDEN=
.edu">eggert@HIDDEN</a>&gt;<br>
&gt; &gt;&gt; Organization: =C2=A0 UCLA Computer Science Department<br>
&gt; &gt;&gt; To: =C2=A0 =C2=A0 Ben Walton &lt;<a href=3D"mailto:bdwalton@g=
mail.com">bdwalton@HIDDEN</a>&gt;, <a href=3D"mailto:bug-gnulib@HIDDEN"=
>bug-gnulib@HIDDEN</a>,<br>
&gt; &gt; <a href=3D"mailto:bug-coreutils@HIDDEN">bug-coreutils@HIDDEN</a=
><br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt; Ben Walton wrote:<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt;&gt; The lib/file-has-acl.c:acl_ace_nontrivial code that retur=
ns 1 is:<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt;<br>
&gt; &gt;&gt; Why is it returning 1, exactly? =C2=A0What are the value of a=
ccess_masks[0,<br>
&gt; &gt;&gt; 1] and how do they compare to the masks, and what bits are se=
t that<br>
&gt; &gt;&gt; shouldn&#39;t be if we want the ACLs to be trivial?<br>
&gt; &gt;<br>
&gt; &gt; I didn&#39;t get back to this yesterday but will tonight.<br>
&gt; &gt;<br>
&gt; &gt; What do you think about the fact that the Solaris tools seem to e=
xhibit the<br>
&gt; &gt; same behavior?<br>
&gt;<br>
&gt; I&#39;d probably adjust the tests to first:<br>
&gt;<br>
&gt; getfacl test.acl | setfacl -f - test.acl || skip_ &quot;system is unab=
le to copy ACLs&quot;<br>
&gt;</p>
<p dir=3D"ltr">Not a bad idea, but those tools have different names on diff=
erent systems and possibly different calling conventions.</p>
<p dir=3D"ltr">If this is a preferred approach, at the very least, a presen=
ce check for the binary needs to wrap the precondition.</p>
<p dir=3D"ltr">Thanks<br>
-Ben</p>
<p dir=3D"ltr">&gt; thanks,<br>
&gt; P=C3=A1draig<br>
&gt;<br>
</p>

--20cf305b1b6026c73d04faf26171--




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 16:22:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 12:22:09 2014
Received: from localhost ([127.0.0.1]:42433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WrrTQ-0001xn-NE
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 12:22:09 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:57256)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1WrrTJ-0001x6-NL
 for 17669 <at> debbugs.gnu.org; Tue, 03 Jun 2014 12:22:02 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id E3045A60029;
 Tue,  3 Jun 2014 09:21:51 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vr2rBdv5ztt9; Tue,  3 Jun 2014 09:21:43 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 6864C39E8013;
 Tue,  3 Jun 2014 09:21:43 -0700 (PDT)
Message-ID: <538DF614.5090307@HIDDEN>
Date: Tue, 03 Jun 2014 09:21:40 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>, 
 Ben Walton <bdwalton@HIDDEN>
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
References: <538C8273.7020607@HIDDEN>
 <538CB819.1050103@HIDDEN>	<CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
 <538DA1EC.5070207@HIDDEN>
In-Reply-To: <538DA1EC.5070207@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17669
Cc: 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

On 06/03/2014 03:22 AM, Pádraig Brady wrote:
> I'd probably adjust the tests to first:
>
> getfacl test.acl | setfacl -f - test.acl || skip_ "system is unable to copy ACLs"

Good idea.  +1 and all that.




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 10:22:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 06:22:46 2014
Received: from localhost ([127.0.0.1]:41630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wrlrh-0004dA-Iq
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 06:22:45 -0400
Received: from mail2.vodafone.ie ([213.233.128.44]:29437)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <P@HIDDEN>) id 1Wrlrf-0004ci-4k
 for 17669 <at> debbugs.gnu.org; Tue, 03 Jun 2014 06:22:44 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApQBAGOgjVNtTCE0/2dsb2JhbAANTIcdv3EBgSODGQEBAQQjDwFGDAQLDQEDAwECAQICBRYLAgIJAwIBAgEPLggGDQEFAgEBiCoDFqwnd55zDYVCF4EqixKCFgcGgm+BSwEDmAoBiQ6GJ4kt
Received: from unknown (HELO [192.168.1.79]) ([109.76.33.52])
 by mail2.vodafone.ie with ESMTP; 03 Jun 2014 11:22:36 +0100
Message-ID: <538DA1EC.5070207@HIDDEN>
Date: Tue, 03 Jun 2014 11:22:36 +0100
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130110 Thunderbird/17.0.2
MIME-Version: 1.0
To: Ben Walton <bdwalton@HIDDEN>
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
References: <538C8273.7020607@HIDDEN> <538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
In-Reply-To: <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17669
Cc: Paul Eggert <eggert@HIDDEN>, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 06/03/2014 07:51 AM, Ben Walton wrote:
> On Jun 2, 2014 6:46 PM, "Paul Eggert" <eggert@HIDDEN> wrote:
>>
>> [Forwarding this to Bug#17669 as bug-coreutils seems to have misfiled it
> under 17664; closing 17664.]
>>
>> -------- Original Message --------
>> Subject:        Re: Solaris acl woes
>> Date:   Mon, 02 Jun 2014 06:56:03 -0700
>> From:   Paul Eggert <eggert@HIDDEN>
>> Organization:   UCLA Computer Science Department
>> To:     Ben Walton <bdwalton@HIDDEN>, bug-gnulib@HIDDEN,
> bug-coreutils@HIDDEN
>>
>>
>>
>> Ben Walton wrote:
>>
>>> The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:
>>
>>
>> Why is it returning 1, exactly?  What are the value of access_masks[0,
>> 1] and how do they compare to the masks, and what bits are set that
>> shouldn't be if we want the ACLs to be trivial?
> 
> I didn't get back to this yesterday but will tonight.
> 
> What do you think about the fact that the Solaris tools seem to exhibit the
> same behavior?

I'd probably adjust the tests to first:

getfacl test.acl | setfacl -f - test.acl || skip_ "system is unable to copy ACLs"

thanks,
Pádraig





Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 07:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 03:02:42 2014
Received: from localhost ([127.0.0.1]:41546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wrik5-0006cb-Sl
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 03:02:42 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:34844)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>)
 id 1Wrik3-0006cG-84; Tue, 03 Jun 2014 03:02:40 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 377F2A60031;
 Tue,  3 Jun 2014 00:02:33 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id JvzOvh6uCIaD; Tue,  3 Jun 2014 00:02:24 -0700 (PDT)
Received: from [192.168.1.9] (pool-108-0-233-62.lsanca.fios.verizon.net
 [108.0.233.62])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id A25B8A6002B;
 Tue,  3 Jun 2014 00:02:24 -0700 (PDT)
Message-ID: <538D72FF.9000607@HIDDEN>
Date: Tue, 03 Jun 2014 00:02:23 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: Ben Walton <bdwalton@HIDDEN>
Subject: Re: bug#17664: bug#17669: Fwd: Re: Solaris acl woes
References: <538C8273.7020607@HIDDEN>	<538CB819.1050103@HIDDEN>
 <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
In-Reply-To: <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17669
Cc: 17664-done <at> debbugs.gnu.org, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Ben Walton wrote:
> What do you think about the fact that the Solaris tools seem to exhibit the
> same behavior?

If they do this too, then I guess we're in good company.




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 3 Jun 2014 06:51:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 02:51:32 2014
Received: from localhost ([127.0.0.1]:41533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WriZH-0006Fn-7s
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 02:51:31 -0400
Received: from mail-yk0-f170.google.com ([209.85.160.170]:43175)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bdwalton@HIDDEN>)
 id 1WriZC-0006FQ-4t; Tue, 03 Jun 2014 02:51:27 -0400
Received: by mail-yk0-f170.google.com with SMTP id 10so4571021ykt.29
 for <multiple recipients>; Mon, 02 Jun 2014 23:51:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=A8s/ciOJi/sLRg12LfN9/rbMbRWo+xFXoytROWnfr4M=;
 b=CUYUvkx61GAkuchlchdE82puivDgaS9+BldZbmLidv53IGNP89x8vjsX8Gh8BNxUMX
 0uBtlOLCGf8nAuFDSciN7o4WqP59kERhQtp8fsJWq5RdLriBFh9PLBvED3MUrCgolOuJ
 3kWoj1Bc9+RO531+K0pJnU9TYkbsA5kwWmJWkYdgl+0M9qZqa1KpZ4E2YGf9jWl5BIJq
 PpspgQyGQ1ct0b629LwLD3IQNr4UAL5aTiTsny1hPS8bRBhOWJiSlJ7vMxddDCGLZyU4
 dHnVr+CGswOzcyegSAOBJGfJSJa7yqd2SqfARBQybHUt41qvy/u5QczmSIGLc3IDkL9j
 sIKQ==
MIME-Version: 1.0
X-Received: by 10.236.113.69 with SMTP id z45mr60275120yhg.0.1401778280165;
 Mon, 02 Jun 2014 23:51:20 -0700 (PDT)
Received: by 10.170.62.213 with HTTP; Mon, 2 Jun 2014 23:51:20 -0700 (PDT)
Received: by 10.170.62.213 with HTTP; Mon, 2 Jun 2014 23:51:20 -0700 (PDT)
In-Reply-To: <538CB819.1050103@HIDDEN>
References: <538C8273.7020607@HIDDEN>
	<538CB819.1050103@HIDDEN>
Date: Tue, 3 Jun 2014 07:51:20 +0100
Message-ID: <CAP30j15efguWbq7Jwnfvw=yUYf8bTKSgDUDDnGhm7benMxRXCQ@HIDDEN>
Subject: Re: bug#17669: Fwd: Re: Solaris acl woes
From: Ben Walton <bdwalton@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary=20cf3010eb117177b104fae8f0c4
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17669
Cc: 17664-done <at> debbugs.gnu.org, 17669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--20cf3010eb117177b104fae8f0c4
Content-Type: text/plain; charset=UTF-8

On Jun 2, 2014 6:46 PM, "Paul Eggert" <eggert@HIDDEN> wrote:
>
> [Forwarding this to Bug#17669 as bug-coreutils seems to have misfiled it
under 17664; closing 17664.]
>
> -------- Original Message --------
> Subject:        Re: Solaris acl woes
> Date:   Mon, 02 Jun 2014 06:56:03 -0700
> From:   Paul Eggert <eggert@HIDDEN>
> Organization:   UCLA Computer Science Department
> To:     Ben Walton <bdwalton@HIDDEN>, bug-gnulib@HIDDEN,
bug-coreutils@HIDDEN
>
>
>
> Ben Walton wrote:
>
>> The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:
>
>
> Why is it returning 1, exactly?  What are the value of access_masks[0,
> 1] and how do they compare to the masks, and what bits are set that
> shouldn't be if we want the ACLs to be trivial?

I didn't get back to this yesterday but will tonight.

What do you think about the fact that the Solaris tools seem to exhibit the
same behavior?

Thanks
-Ben

--20cf3010eb117177b104fae8f0c4
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On Jun 2, 2014 6:46 PM, &quot;Paul Eggert&quot; &lt;<a href=3D"mailto:egger=
t@HIDDEN">eggert@HIDDEN</a>&gt; wrote:<br>
&gt;<br>
&gt; [Forwarding this to Bug#17669 as bug-coreutils seems to have misfiled =
it under 17664; closing 17664.]<br>
&gt;<br>
&gt; -------- Original Message --------<br>
&gt; Subject: =C2=A0 =C2=A0 =C2=A0 =C2=A0Re: Solaris acl woes<br>
&gt; Date: =C2=A0 Mon, 02 Jun 2014 06:56:03 -0700<br>
&gt; From: =C2=A0 Paul Eggert &lt;<a href=3D"mailto:eggert@HIDDEN">egg=
ert@HIDDEN</a>&gt;<br>
&gt; Organization: =C2=A0 UCLA Computer Science Department<br>
&gt; To: =C2=A0 =C2=A0 Ben Walton &lt;<a href=3D"mailto:bdwalton@HIDDEN"=
>bdwalton@HIDDEN</a>&gt;, <a href=3D"mailto:bug-gnulib@HIDDEN">bug-gnul=
ib@HIDDEN</a>, <a href=3D"mailto:bug-coreutils@HIDDEN">bug-coreutils@gnu.=
org</a><br>

&gt;<br>
&gt;<br>
&gt;<br>
&gt; Ben Walton wrote:<br>
&gt;<br>
&gt;&gt; The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:<=
br>
&gt;<br>
&gt;<br>
&gt; Why is it returning 1, exactly? =C2=A0What are the value of access_mas=
ks[0,<br>
&gt; 1] and how do they compare to the masks, and what bits are set that<br=
>
&gt; shouldn&#39;t be if we want the ACLs to be trivial?</p>
<p dir=3D"ltr">I didn&#39;t get back to this yesterday but will tonight.</p=
>
<p dir=3D"ltr">What do you think about the fact that the Solaris tools seem=
 to exhibit the same behavior?</p>
<p dir=3D"ltr">Thanks<br>
-Ben</p>

--20cf3010eb117177b104fae8f0c4--




Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at 17669 <at> debbugs.gnu.org:


Received: (at 17669) by debbugs.gnu.org; 2 Jun 2014 17:45:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 02 13:45:18 2014
Received: from localhost ([127.0.0.1]:41180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WrWIM-0008IH-9f
	for submit <at> debbugs.gnu.org; Mon, 02 Jun 2014 13:45:17 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:54483)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>)
 id 1WrWIC-0008HI-KR; Mon, 02 Jun 2014 13:45:08 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 833CAA6003D;
 Mon,  2 Jun 2014 10:44:58 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id oQ5m3f6p+7xF; Mon,  2 Jun 2014 10:44:57 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 788ACA60028;
 Mon,  2 Jun 2014 10:44:57 -0700 (PDT)
Message-ID: <538CB819.1050103@HIDDEN>
Date: Mon, 02 Jun 2014 10:44:57 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: 17669 <at> debbugs.gnu.org
Subject: Fwd: Re: Solaris acl woes
References: <538C8273.7020607@HIDDEN>
In-Reply-To: <538C8273.7020607@HIDDEN>
X-Forwarded-Message-Id: <538C8273.7020607@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17669
Cc: 17664-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

[Forwarding this to Bug#17669 as bug-coreutils seems to have misfiled it 
under 17664; closing 17664.]

-------- Original Message --------
Subject: 	Re: Solaris acl woes
Date: 	Mon, 02 Jun 2014 06:56:03 -0700
From: 	Paul Eggert <eggert@HIDDEN>
Organization: 	UCLA Computer Science Department
To: 	Ben Walton <bdwalton@HIDDEN>, bug-gnulib@HIDDEN, 
bug-coreutils@HIDDEN



Ben Walton wrote:

> The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:

Why is it returning 1, exactly?  What are the value of access_masks[0,
1] and how do they compare to the masks, and what bits are set that
shouldn't be if we want the ACLs to be trivial?







Information forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jun 2014 15:34:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 02 11:34:34 2014
Received: from localhost ([127.0.0.1]:41037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WrUFu-00046U-5d
	for submit <at> debbugs.gnu.org; Mon, 02 Jun 2014 11:34:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48295)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bdwalton@HIDDEN>) id 1WrRVi-0007xX-9w
 for submit <at> debbugs.gnu.org; Mon, 02 Jun 2014 08:38:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bdwalton@HIDDEN>) id 1WrRVb-0006gl-QO
 for submit <at> debbugs.gnu.org; Mon, 02 Jun 2014 08:38:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58105)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bdwalton@HIDDEN>) id 1WrRVb-0006gh-LA
 for submit <at> debbugs.gnu.org; Mon, 02 Jun 2014 08:38:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49986)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bdwalton@HIDDEN>) id 1WrRVa-0000vW-D2
 for bug-coreutils@HIDDEN; Mon, 02 Jun 2014 08:38:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bdwalton@HIDDEN>) id 1WrRVZ-0006gC-Gh
 for bug-coreutils@HIDDEN; Mon, 02 Jun 2014 08:38:34 -0400
Received: from mail-yk0-x233.google.com ([2607:f8b0:4002:c07::233]:46161)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bdwalton@HIDDEN>)
 id 1WrRVV-0006eU-R7; Mon, 02 Jun 2014 08:38:29 -0400
Received: by mail-yk0-f179.google.com with SMTP id 19so3554680ykq.10
 for <multiple recipients>; Mon, 02 Jun 2014 05:38:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=Pv6Tj8KucajprZYe6g3PqIN7iLhJ0H/UMumPRd0EyUU=;
 b=hJmN+dsZN8xgtZBce0GUVx8SbScwmtbWsEA0cwokkVav59LPUqO1YqJnxua/+t0RGm
 yqt8h+2pURbEU8Mjwra7nVzraVIicGxtgkqWj3YqAq8Meo1Ru+1UiW5wlb/17hXHCe5R
 rwJEB4wcRzDn5zIycjBO82QVsvHAn70FG1ET9QGdpMrfV/kwJ2yWvKKurIPFx7y//U8Q
 pEa0mtAxTZu2uhKCWbagoL5tMVWUY/paUYNj2jISSxr26YTlrPxvyBvqTGMU+tmmKV1T
 gkpssGNCIW77vJpqNLybeBNvYqb/dMJIyixPUtUtvtC5QJXJtOSittVuA+di6Qg3b3xd
 aMbA==
MIME-Version: 1.0
X-Received: by 10.236.113.69 with SMTP id z45mr52192236yhg.0.1401712709261;
 Mon, 02 Jun 2014 05:38:29 -0700 (PDT)
Received: by 10.170.62.213 with HTTP; Mon, 2 Jun 2014 05:38:29 -0700 (PDT)
Date: Mon, 2 Jun 2014 13:38:29 +0100
Message-ID: <CAP30j14mG5aaiS94U1hLXhwS7LuciLCYw1p7+yf-R78RU6gagg@HIDDEN>
Subject: Solaris acl woes
From: Ben Walton <bdwalton@HIDDEN>
To: bug-gnulib@HIDDEN, bug-coreutils@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Jun 2014 11:34:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hi All,

I've hit a "bug" in the coreutils test suite when exercising acl code
from gnulib. I'm cross-posting to both lists, I hope that's ok.
(Please apply the cluebat gently if not...)

When running tests involving cp -a (in /tmp for this example), I see
errors like:

+ cp -a --parents d/a/b/c e
cp: preserving permissions for 'e/d/a/b/c': Operation not applicable
cp: preserving permissions for 'e/d/a/b': Operation not applicable
+ fail=1
+ cp -a --parents sym/b/c g
cp: preserving permissions for 'g/sym/b/c': Operation not applicable
cp: preserving permissions for 'g/sym/b': Operation not applicable

The code that results in this error in in lib/qcopy-acl.c:
# ifdef ACE_GETACL
  if (ace_count > 0)
    {
      ret = (dest_desc != -1
             ? facl (dest_desc, ACE_SETACL, ace_count, ace_entries)
             : acl (dst_name, ACE_SETACL, ace_count, ace_entries));
      if (ret < 0 && saved_errno == 0)
        {
          saved_errno = errno;
          if ((errno == ENOSYS || errno == EINVAL || errno == ENOTSUP)
              && !acl_ace_nontrivial (ace_count, ace_entries))
            saved_errno = 0;
        }
    }
  free (ace_entries);
# endif

The error returned is ENOSYS, but acl_ace_nontrivial fires and thus
the saved_errno isn't reset to 0.

The lib/file-has-acl.c:acl_ace_nontrivial code that returns 1 is:
      switch ((access_masks[0] | access_masks[1])
              & ~(NEW_ACE_READ_NAMED_ATTRS
                  | NEW_ACE_READ_ATTRIBUTES
                  | NEW_ACE_READ_ACL
                  | NEW_ACE_SYNCHRONIZE))
        {
        case 0:
        case NEW_ACE_READ_DATA:
        case                     NEW_ACE_WRITEA_DATA:
        case NEW_ACE_READ_DATA | NEW_ACE_WRITEA_DATA:
        case                                           NEW_ACE_EXECUTE:
        case NEW_ACE_READ_DATA |                       NEW_ACE_EXECUTE:
        case                     NEW_ACE_WRITEA_DATA | NEW_ACE_EXECUTE:
        case NEW_ACE_READ_DATA | NEW_ACE_WRITEA_DATA | NEW_ACE_EXECUTE:
          break;
        default:
          return 1;
        }


It seems as though the $getacl calls succeed but $setacl calls fail.
We are able to retrieve what we consider complex acl information but
cannot subsequently set it.

You can see similar behaviour by doing:

$ pwd
/tmp/coreutils-8.22

$ getfacl README

# file: README
# owner: bwalton
# group: csw
user::rw-
group::r--              #effective:r--
mask:rwx
other:r--

$ getfacl README | setfacl -f - README
README: failed to set acl entries
setacl error: Operation not applicable

Other than this issue, which affects 6 tests identically, all tests pass.

I'm not sure what the best way to fix this is. I'm happy to supply
complete test logs if they'd help and will run any commands/gather any
additional info you need.

(Note: I'm only running this in /tmp to isolate some other issues that
seem to be nfs related - I'll report on those separately when I've
debugged far enough to provide something useful.)

Thanks
-Ben
-- 
---------------------------------------------------------------------------------------------------------------------------
Take the risk of thinking for yourself.  Much more happiness,
truth, beauty and wisdom will come to you that way.

-Christopher Hitchens
---------------------------------------------------------------------------------------------------------------------------




Acknowledgement sent to Ben Walton <bdwalton@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#17669; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Oct 2018 04:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.